Skip to main content
GET
/
api
/
catalogs
List Catalogs
curl --request GET \
  --url https://qwoty.app/api/catalogs \
  --header 'Authorization: <authorization>'
{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Standard Products",
      "api_name": "standard_products",
      "reference": "CAT-001",
      "description": "Main product catalog",
      "is_active": true,
      "id_crm": "crm_123",
      "id_erp": "erp_456",
      "id_accounting": "acc_789",
      "created_at": "2024-12-21T10:30:00Z",
      "updated_at": "2024-12-21T10:30:00Z"
    }
  ]
}

Authorization

Authorization
string
required
Bearer token for authentication. Format: Bearer qwoty_your_token

Examples

curl https://qwoty.app/api/catalogs \
  -H "Authorization: Bearer qwoty_your_token"

Response

success
boolean
Indicates if the request was successful
data
array
Array of catalog objects
{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Standard Products",
      "api_name": "standard_products",
      "reference": "CAT-001",
      "description": "Main product catalog",
      "is_active": true,
      "id_crm": "crm_123",
      "id_erp": "erp_456",
      "id_accounting": "acc_789",
      "created_at": "2024-12-21T10:30:00Z",
      "updated_at": "2024-12-21T10:30:00Z"
    }
  ]
}

Error Responses

{
  "success": false,
  "error": "Invalid API token"
}